﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<NerdDinner.Models.Dinner>" %>
<%@ Import Namespace="NerdDinner.Helpers" %>

<asp:Content ID="Title" ContentPlaceHolderID="TitleContent" runat="server">
	Dinner: <%: Model.Title %>
</asp:Content>

<asp:Content ID="Main" ContentPlaceHolderID="MainContent" runat="server">

    <h2><%: Model.Title %></h2>
    <p>
        <strong>When:</strong>
        <%: Model.EventDate.ToShortDateString() %>

        <strong>@</strong>
        <%: Model.EventDate.ToShortTimeString() %>
    </p>
    <p>
        <strong>Where:</strong>
        <%: Model.Address %>
        <%: Model.Country %>
    </p>
    <p>
        <strong>Description:</strong>
        <%: Model.Description %>
    </p>
    <p>
        <strong>Organizer:</strong>
        <%: Model.HostedBy %>
        (<%: Model.ContactPhone %>)
    </p>

    <% Html.RenderPartial("RSVPStatus"); %>
    <% Html.RenderPartial("EditAndDeleteLinks"); %>

    <div id="mapDiv">
        <% Html.RenderPartial("map"); %>    
    </div> 

</asp:Content>

