﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<NerdDinner.Models.DinnerFormViewModel>" %>

<script src="/Scripts/MicrosoftAjax.js" type="text/javascript"></script>
<script src="/Scripts/MicrosoftMvcAjax.js" type="text/javascript"></script>
<script src="/Scripts/MicrosoftMvcValidation.js" type="text/javascript"></script>

<% Html.EnableClientValidation(); %>
 <%: Html.ValidationSummary("Please correct the errors and try again.") %>
    <% using (Html.BeginForm()) {%>

        <fieldset>

            <div id = "dinnerDiv">
            <p>
                <%: Html.LabelFor(model => model.Dinner.Title)%>
                <%: Html.TextBoxFor(model => model.Dinner.Title)%>
                <%: Html.ValidationMessageFor(model => model.Dinner.Title, "*")%>
            </p>
           <p>
                <%: Html.LabelFor(model => model.Dinner.EventDate) %>
                <%: Html.TextBoxFor(model => model.Dinner.EventDate)%>
                <%: Html.ValidationMessageFor(model => model.Dinner.EventDate, "*")%>
            </p>
            <p>
                <%: Html.LabelFor(model => model.Dinner.Description)%>
                <%: Html.TextAreaFor(model => model.Dinner.Description)%>
                <%: Html.ValidationMessageFor(model => model.Dinner.Description, "*")%>
            </p>
            <p>
                <%: Html.LabelFor(model => model.Dinner.Address)%>
                <%: Html.TextBoxFor(model => model.Dinner.Address)%>
                <%: Html.ValidationMessageFor(model => model.Dinner.Address, "*")%>
            </p> 
           <p>
                <%: Html.LabelFor(model => model.Dinner.Country)%>
                <%: Html.TextBoxFor(model => model.Dinner.Country)%>
                <%: Html.ValidationMessageFor(model => model.Dinner.Country, "*")%>
            </p>
            <p>
                <%: Html.LabelFor(model => model.Dinner.ContactPhone)%>
                <%: Html.TextBoxFor(model => model.Dinner.ContactPhone)%>
                <%: Html.ValidationMessageFor(model => model.Dinner.ContactPhone, "*")%>
            </p>
            <p>
                <%: Html.Hidden("Latitude", Model.Dinner.Latitude) %>
                <%: Html.Hidden("Longitude", Model.Dinner.Longitude) %>
            </p>
            
            <p>
                <input type="submit" value="Save" />
            </p>

            </div>

            <div id = "mapDiv">
                <% Html.RenderPartial("Map", Model.Dinner); %>
                (drag the pin in the map if it doesn't look right)
            </div>

        </fieldset>

 <% } %>

        <script type="text/javascript">

            $(document).ready(function () {
                $("#Address").blur(function (evt) {
                    $("#Latitude").val("");
                    $("#Longitude").val("");

                    var address = jQuery.trim($("#Address").val());
                    if (address.length < 1)
                        return;

                    FindAddressOnMap(address);
                });
            });
        </script>
